ENV["LC_ALL"] = "en_US.UTF-8"

COUNT = 1

VCPU = 1
VMEM = 1024
NETWORK = "192.168.60.9"

# init script
$init_script = <<SCRIPT
    # sudo sed -i "s*archive.ubuntu.com*mirror.0x.sg*g" /etc/apt/sources.list
    sudo apt update --fix-missing
SCRIPT

Vagrant.configure("2") do |config|
    config.vm.box = "ubuntu/focal64"
    config.vm.synced_folder "./", "/vagrant"

    (1..COUNT).each do |i|
        config.vm.define "coredot-#{i}" do |machine|
            machine.vm.hostname = "coredot-#{i}"
            machine.vm.provider "virtualbox" do |v|
                v.cpus = VCPU
                v.memory = VMEM
            end
            machine.vm.network :private_network, ip: "#{NETWORK}#{i}", auto_config: true
            machine.vm.provision "shell", inline: $init_script
        end
    end
end